'use strict'

const express = require('express');
const DocumentoController = require('../controllers/documento');
const md_auth = require('../middleware/authenticated');
const api = express.Router();
const multer = require('../libs/multerDocumentos');

api.get('/obtenerDocumentos', md_auth.ensureAuth, DocumentoController.obtenerDocumentos);
api.post('/crearDocumento', md_auth.ensureAuth, multer.single('archivo'), DocumentoController.crearDocumento);
api.delete('/eliminarDocumento/:id', md_auth.ensureAuth, DocumentoController.eliminarDocumento);


module.exports = api;